
SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for t_common_data_dict
-- ----------------------------
DROP TABLE IF EXISTS `t_common_data_dict`;
CREATE TABLE `t_common_data_dict` (
  `id` char(64) NOT NULL COMMENT '主键',
  `parent_id` char(64) DEFAULT NULL COMMENT '父级标识',
  `dict_key` varchar(64) NOT NULL COMMENT '字典唯一标识',
  `code` varchar(64) NOT NULL COMMENT '字典编码',
  `value` varchar(64) NOT NULL COMMENT '字典值',
  `attr` varchar(255) DEFAULT NULL COMMENT '扩展字段',
  `sort` int(11) DEFAULT NULL COMMENT '排序',
  `remarks` varchar(64) DEFAULT NULL COMMENT '备注',
  `create_date` datetime NOT NULL COMMENT '创建时间',
  `created_by` char(64) NOT NULL COMMENT '创建人',
  `last_modified_date` datetime NOT NULL COMMENT '更新时间',
  `last_modified_by` char(64) NOT NULL COMMENT '更新人',
  `is_del` bit(1) NOT NULL DEFAULT b'0' COMMENT '是否删除',
  `last_modified_by_name` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '更新人名称',
  `created_by_name` varchar(64) CHARACTER SET utf8 DEFAULT NULL COMMENT '创建人名称',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE KEY `un_idx_parent_id_dict_key` (`parent_id`,`dict_key`) USING BTREE,
  KEY `idx_parent_id` (`parent_id`) USING BTREE,
  KEY `idx_dict_key` (`dict_key`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='数据字典';

-- ----------------------------
-- Records of t_common_data_dict
-- ----------------------------
BEGIN;
INSERT INTO `t_common_data_dict` VALUES ('1300355178658131970', '664039707222474752', '2321321', '12323', '23123123', '13123213', 123, '123123', '2020-08-31 16:50:09', '1', '2020-08-31 16:50:09', '1', b'0', NULL, '1');
INSERT INTO `t_common_data_dict` VALUES ('664039707222474752', NULL, 'COMMON_SUBJECT', 'SUBJECT', '学科', '', NULL, '', '2020-01-07 09:36:43', '1', '2020-01-07 09:36:43', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664042487957946368', '664039707222474752', 'YU_WEN', 'YU_WEN', '语文', '', NULL, '', '2020-01-07 09:47:46', '1', '2020-01-07 09:47:46', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664042760726118400', '664039707222474752', 'SHU_XUE', 'SHU_XUE', '数学', '', NULL, '', '2020-01-07 09:48:51', '1', '2020-01-07 09:48:51', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664042954024812544', '664039707222474752', 'YING_YU', 'YING_YU', '英语', '', NULL, '', '2020-01-07 09:49:38', '1', '2020-01-07 09:49:38', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664129096770387968', NULL, 'COMMON_GRADENAME', 'GRADENAME', '年级', '', NULL, '', '2020-01-07 15:31:56', '1', '2020-01-07 15:31:56', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664129283970564096', '664129096770387968', 'YI_NIAN_JI', 'YI_NIAN_JI', '一年级', '', NULL, '', '2020-01-07 15:32:40', '1', '2020-01-07 15:32:40', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664129442263597056', '664129096770387968', 'ER_NIAN_JI', 'ER_NIAN_JI', '二年级', '', NULL, '', '2020-01-07 15:33:18', '1', '2020-01-07 15:33:18', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664129742022115328', '664129096770387968', 'SAN_NIAN_JI', 'SAN_NIAN_JI', '三年级', '', NULL, '', '2020-01-07 15:34:29', '1', '2020-01-07 15:34:29', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664139596350619648', NULL, 'COMMON_GROUPNAME', 'GROUPNAME', '年级分类', '', NULL, '', '2020-01-07 16:13:39', '1', '2020-01-07 16:13:39', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664140122538639360', '664139596350619648', 'XIAO_XUE', 'XIAO_XUE', '小学', '', NULL, '', '2020-01-07 16:15:44', '1', '2020-01-07 16:15:44', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664140249940623360', '664139596350619648', 'ZHONG_XUE', 'ZHONG_XUE', '中学', '', NULL, NULL, '2020-01-07 16:16:15', '1', '2020-01-07 20:20:43', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('664140332203507712', '664139596350619648', 'GAO_ZHONG', 'GAO_ZHONG', '高中', '', NULL, '', '2020-01-07 16:16:34', '1', '2020-01-07 16:16:34', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746040467908460544', '664129096770387968', 'SI_NIAN_JI', 'SI_NIAN_JI', '四年级', '', NULL, '', '2020-08-20 16:18:28', '1', '2020-08-20 16:18:28', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746040959287951360', '664129096770387968', 'WU_NIAN_JI', 'WU_NIAN_JI', '五年级', '', NULL, '', '2020-08-20 16:20:25', '1', '2020-08-20 16:20:25', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746041055991824384', '664129096770387968', 'LIU_NIAN_JI', 'LIU_NIAN_JI', '六年级', '', NULL, '', '2020-08-20 16:20:49', '1', '2020-08-20 16:20:49', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746041522197102592', '664129096770387968', 'CHU_YI', 'CHU_YI', '初一', '', NULL, '', '2020-08-20 16:22:40', '1', '2020-08-20 16:22:40', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746041642821091328', '664129096770387968', 'CHU_ER', 'CHU_ER', '初二', '', NULL, '', '2020-08-20 16:23:08', '1', '2020-08-20 16:23:08', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746041921218019328', '664129096770387968', 'CHU_SAN', 'CHU_SAN', '初三', '', NULL, '', '2020-08-20 16:24:15', '1', '2020-08-20 16:24:15', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746042001790599168', '664129096770387968', 'GAO_YI', 'GAO_YI', '高一', '', NULL, '', '2020-08-20 16:24:34', '1', '2020-08-20 16:24:34', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746042088688189440', '664129096770387968', 'GAO_ER', 'GAO_ER', '高二', '', NULL, '', '2020-08-20 16:24:55', '1', '2020-08-20 16:24:55', '1', b'0', '1', '1');
INSERT INTO `t_common_data_dict` VALUES ('746042177620017152', '664129096770387968', 'GAO_SAN', 'GAO_SAN', '高三', '', NULL, '', '2020-08-20 16:25:16', '1', '2020-08-20 16:25:16', '1', b'0', '1', '1');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
