package com.tocean.app.controller.admin;

import com.tocean.app.controller.request.LevelGetListRequest;
import com.tocean.app.controller.request.datadict.DataDictSearchDto;
import com.tocean.app.dto.request.BasePageRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.dto.response.BaseResponse;
import com.tocean.app.entity.Level;
import com.tocean.app.entity.common.DataDict;
import com.tocean.app.service.LevelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.validation.Valid;
import java.util.List;


@Api(description = "关卡")
@Slf4j
@RestController("LevelController")
@RequestMapping("/admin/level")
public class LevelController {

    @Autowired
    private LevelService levelService;

    @ApiOperation(value = "查询关卡管理")
    @PostMapping("/page")
    public BaseResponse<BasePageResponse<Level>> page(@Valid @RequestBody BasePageRequest<LevelGetListRequest> request) {
        return BaseResponse.success(levelService.page(request.getPage(),request.getLimit(),request.getData()));
    }

    @GetMapping("/{id}")
    public BaseResponse<BasePageResponse<Level>> getGqInfo(@PathVariable("id") String id){
        return BaseResponse.success(levelService.getGqInfo(id));
    }

    @PostMapping
    public BaseResponse<Integer> addGq(@RequestBody Level level){
        return BaseResponse.success(levelService.addGq(level));
    }

    @PutMapping
    public BaseResponse<Integer> updateGq(@RequestBody Level level){
        return BaseResponse.success(levelService.updateGq(level));
    }
}
