package com.tocean.app.controller.admin;

import com.tocean.app.dto.response.BaseResponse;
import com.tocean.app.entity.Student;
import com.tocean.app.service.StudentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api(description = "登录测试")
@Slf4j
@RestController("StudentController")
@RequestMapping("/admin/student")
public class StudentController {

    @Autowired
    private StudentService studentService;
    @ApiOperation(value = "登录页面")
    @PostMapping("/login")
//    public String login(@RequestParam("name") String name, @RequestParam("password") String password) {
    public BaseResponse<?> login(@RequestBody Student stu){
        Student student= studentService.login(stu.getName());
        if(student==null){
            return BaseResponse.failure(411,"账号错误");
        }else if (student.getPassword().equals(stu.getPassword())){
             return BaseResponse.success("登录成功");
        }
        return BaseResponse.failure(410,"密码错误");
    }
    @ApiOperation(value = "注册账号1")
    @PostMapping("/regis1")
    public BaseResponse<?> saveInsert(@RequestParam("name") String name, @RequestParam("password") String password) {
        studentService.saveInsert(name, password);
        return BaseResponse.success();
    }
    @ApiOperation(value = "注册账号2")
    @PostMapping("/regis2")
//    public BaseResponse<?> regis(@Valid @RequestBody BaseRequest<StudentOperateRequest> request) {
//        studentService.regis(request.getData());
//        return BaseResponse.success();
//    }
    public String regis(@RequestBody Student stu){
        Student student=studentService.regis1(stu.getName());
        if(student.getName().equals(stu.getName())){
            return "账号已存在";
        }else{
            studentService.regis(stu.getName(),stu.getPassword());
            return"注册成功" ;
        }

    }

    @ApiOperation(value = "查询用户")
    @PostMapping("/select")
    public BaseResponse<List<Student>> selectUser(){
        return BaseResponse.success(studentService.selectUser());
    }

}
