package com.tocean.app.entity.common;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tocean.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

@ApiModel("公共-数据字典")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName("t_common_data_dict")
public class DataDict extends BaseEntity {

    @ApiModelProperty("父级标识")
    @TableField(value = "parent_id")
    private String parentId;

    @ApiModelProperty("字典唯一标识")
    @TableField(value = "dict_key")
    private String dictKey;

    @ApiModelProperty("字典编码")
    @TableField(value = "code")
    private String code;

    @ApiModelProperty("字典值")
    @TableField(value = "value")
    private String value;

    @ApiModelProperty("扩展参数")
    @TableField(value = "attr")
    private String attr;

    @ApiModelProperty("排序(正序)")
    @TableField(value = "sort")
    private Integer sort;

    @ApiModelProperty("备注")
    @TableField(value = "remarks")
    private String remarks;

}
