package com.tocean.app.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.tocean.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 功能描述：系统用户实体
 */
@ApiModel("用户")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "t_sys_account")
public class Account extends BaseEntity {

    /**
     * 昵称
     */
    @TableField(value = "nickname")
    private String nickname;

    /**
     * 真实姓名
     */
    @TableField(value = "realname")
    private String realname;

    /**
     * 用户头像图片的 URL
     */
    @TableField(value = "avatar_url")
    private String avatarUrl;

    /**
     * 用户性别
     * 0	未知
     * 1	男性
     * 2	女性
     */
    @TableField(value = "gender")
    private Integer gender;

    /**
     * 账号状态：
     */
    @TableField(value = "state")
    private Integer state;

}
