package com.tocean.app.entity.sys;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.tocean.app.constant.AccountConstant;
import com.tocean.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 * 功能描述：系统用户实体
 */
@ApiModel("用户")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "t_sys_account_auths")
public class AccountAuths extends BaseEntity {

    @ApiModelProperty("账号id")
    @NotEmpty
    @TableField(value = "account_id")
    private String accountId;

    /**
     * {@link com.tocean.app.constant.AccountConstant.IdentityType}
     */
    @ApiModelProperty("登录类型（手机号 邮箱 用户名）或第三方应用名称（微信 微博等）")
    @NotEmpty
    @EnumValue
    @TableField(value = "identity_type")
    private AccountConstant.IdentityType identityType;

    @ApiModelProperty("标识（手机号 邮箱 用户名或第三方应用的唯一标识）")
    @NotEmpty
    @TableField(value = "identifier")
    private String identifier;

    @ApiModelProperty("凭证（站内的保存密码，站外的不保存或保存token）")
    @JsonIgnore
    @TableField(value = "credential")
    private String credential;

    @ApiModelProperty("盐值")
    @JsonIgnore
    @TableField(value = "salt")
    private String salt;

}
