package com.tocean.app.entity.sys;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tocean.app.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 功能描述：
 *
 * @Author 梁展鹏
 * @Date 2020/8/6 10:12
 */

@ApiModel("账号操作日志")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@TableName(value = "t_sys_account_operation_log")
public class AccountOperationLog extends BaseEntity {

    /**
     * 账号id
     */
    @TableField(value = "account_id")
    private String accountId;

    /**
     * 账号昵称
     */
    @TableField(value = "nickname")
    private String nickname;

    /**
     * 操作方法名称（注解的name属性）
     */
    @TableField(value = "operation")
    private String operation;

    /**
     * 请求方法的全路径
     */
    @TableField(value = "method")
    private String method;

    /**
     * 响应时间
     */
    @TableField(value = "response_time")
    private Long responseTime;

    /**
     * 请求方法的参数
     */
    @TableField(value = "params")
    private String params;

    /**
     * 操作者Ip
     */
    @TableField(value = "ip")
    private String ip;

}
