package com.tocean.app.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.LevelGetListRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.entity.Level;
import com.tocean.app.mapper.LevelMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class LevelService {

    @Autowired
    private LevelMapper levelMapper;

   public void getList(String name){
       Level level = new Level();
       level.setGqname(name);//关卡名称

       levelMapper.insert(level);

   }
    public BasePageResponse<Level> page(Integer page,Integer size, LevelGetListRequest request) {
        Page<Level> _page = new Page(page,size);
        IPage<Level> list = levelMapper.page(_page, request);
        return new BasePageResponse().setTotal(list.getTotal()).setData(list.getRecords());
    }

    public BasePageResponse<Level> getGqInfo(String id){
       return new BasePageResponse().setData(levelMapper.getGqInfo(id));
    }

    public int addGq(Level level){
       return levelMapper.addGq(level);
    }

    public int updateGq(Level level){
       return levelMapper.updateGq(level);
    }

}
