package com.tocean.app.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tocean.app.controller.request.LevelTimuRequest;
import com.tocean.app.dto.response.BasePageResponse;
import com.tocean.app.entity.LevelTimu;
import com.tocean.app.mapper.LevelTimuMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.ObjectUtils;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class LevelTimuService {

    @Autowired
    private LevelTimuMapper levelTimuMapper;

    public List<LevelTimu> getTimu(String levelID) {
        List<LevelTimu> levelTimu = levelTimuMapper.selectList(new QueryWrapper<LevelTimu>()
                .eq("level_id", levelID));
        return levelTimu;
    }

    public BasePageResponse<LevelTimu> page(Integer page, Integer size, LevelTimuRequest request) {
        Page<LevelTimu> _page = new Page(page, size);
        IPage<LevelTimu> list = levelTimuMapper.page(_page, request);
        return new BasePageResponse().setTotal(list.getTotal()).setData(list.getRecords());
    }

    public List<LevelTimu> link(String levelId) {
        return levelTimuMapper.selectList(new QueryWrapper<LevelTimu>().eq("level_id",levelId));
    }

    public LevelTimu getTmInfo(String id){
        return levelTimuMapper.getTmInfo(id);
    }

    public int addTiMu(LevelTimu levelTimu){
        return levelTimuMapper.insert(levelTimu);
    }

    public int updateTiMu(LevelTimu levelTimu){
        return levelTimuMapper.updateById(levelTimu);
    }

    public int removeTiMu(String timuId){
        return levelTimuMapper.deleteById(timuId);
    }

    //建立关联
    public boolean Related(@RequestBody String levelId, String timuId){
        LevelTimu levelTimu=new LevelTimu();
        int i=0;
        levelTimu.setLevelId(levelId);
        levelTimu.setTimuId(timuId);
        i=levelTimuMapper.insert(levelTimu);
        if(i>0){
            return true;
        }else{
            return false;
        }
    }
    //取消关联
    @Transactional
    public boolean delete(String levelId,String TimuId) {
        List<LevelTimu> level = levelTimuMapper.selectList(new QueryWrapper<LevelTimu>().eq("level_id",levelId).eq("timu_id", TimuId).eq("is_Del",0));
        int i=0;
        if (!ObjectUtils.isEmpty(level)) {
            i=levelTimuMapper.delete(new QueryWrapper<LevelTimu>().eq("level_id",levelId).eq("timu_id", TimuId).eq("is_Del",0));
        }
        if (i>0){
            return true;
        }else {
            return false;
        }
    }
}

